import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconHeart as IconHeartClass } from "../../../../components/icon/icons/heart.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconHeart = (props) => {
  IconHeartClass.define();
  const JSXElement = getReactComponent("gds-icon-heart");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconHeart.displayName = "IconHeart";
export {
  IconHeart
};
